package generated.eTicket.javacard.eTicketCard;

import javacard.framework.*;

/**
 * Generated Class
 * 
 */

public class CCInfo implements Codeable {

	public byte[] CCHolderName;

	public byte[] CCSecNumber;

	public byte[] CCNumber;

	public byte[] CCType;

	public byte[] CCExpDate;

	public CCInfo() {

		CCHolderName = new byte[Store.LENGTHOFSTRING];
		CCSecNumber = new byte[Store.LENGTHOFSTRING];
		CCNumber = new byte[Store.LENGTHOFSTRING];
		CCType = new byte[Store.LENGTHOFSTRING];
		CCExpDate = new byte[Store.LENGTHOFSTRING];

	}

	public CCInfo(byte[] CCHolderName, byte[] CCSecNumber, byte[] CCNumber,
			byte[] CCType, byte[] CCExpDate) {

		this.CCHolderName = CCHolderName;
		this.CCSecNumber = CCSecNumber;
		this.CCNumber = CCNumber;
		this.CCType = CCType;
		this.CCExpDate = CCExpDate;

	}

	public byte getCode() {
		return Code.CCINFO;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(CCInfo other) {
		if (!Arrays.equals(CCHolderName, other.CCHolderName))
			return false;
		if (!Arrays.equals(CCSecNumber, other.CCSecNumber))
			return false;
		if (!Arrays.equals(CCNumber, other.CCNumber))
			return false;
		if (!Arrays.equals(CCType, other.CCType))
			return false;
		if (!Arrays.equals(CCExpDate, other.CCExpDate))
			return false;
		return true;
	}

	public void copy(CCInfo from) {

		Arrays.copy(from.CCHolderName, this.CCHolderName);

		Arrays.copy(from.CCSecNumber, this.CCSecNumber);

		Arrays.copy(from.CCNumber, this.CCNumber);

		Arrays.copy(from.CCType, this.CCType);

		Arrays.copy(from.CCExpDate, this.CCExpDate);

	}

}
