package generated.eTicket.javacard.eTicketCard;

/**
 * Generated Class
 * 
 */

public class ClientHello extends Message {

	public PublicKey publicKeyCard;

	public SignedData certCard;

	public EncDataAsymm msg;

	public ClientHello(EncDataAsymm msg, SignedData certCard,
			PublicKey publicKeyCard) {

		this.msg = msg;
		this.certCard = certCard;
		this.publicKeyCard = publicKeyCard;

	}

	public ClientHello() {

		publicKeyCard = new PublicKey();
		certCard = new SignedData();
		msg = new EncDataAsymm();

	}

	public byte getCode() {
		return Code.CLIENTHELLO;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(ClientHello other) {
		if (!this.publicKeyCard.equals(other.publicKeyCard))
			return false;
		if (!this.certCard.equals(other.certCard))
			return false;
		if (!this.msg.equals(other.msg))
			return false;
		return true;
	}

	public void copy(ClientHello from) {
		this.publicKeyCard.copy(from.publicKeyCard);
		this.certCard.copy(from.certCard);
		this.msg.copy(from.msg);
	}

}
