package generated.eTicket.javacard.eTicketCard;

/**
 * Generated Class
 * 
 */

public class ResReqTicketData implements PlainData, Codeable {

	public Ticket ticket;

	public Nonce transactionId;

	public Nonce nonceDeleteTicket;

	public ResReqTicketData(Ticket ticket, Nonce transactionId,
			Nonce nonceDeleteTicket) {

		this.ticket = ticket;
		this.transactionId = transactionId;
		this.nonceDeleteTicket = nonceDeleteTicket;

	}

	public ResReqTicketData() {

		ticket = new Ticket();
		transactionId = new Nonce();
		nonceDeleteTicket = new Nonce();

	}

	public byte getCode() {
		return Code.RESREQTICKETDATA;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(ResReqTicketData other) {
		if (!this.ticket.equals(other.ticket))
			return false;
		if (!this.transactionId.equals(other.transactionId))
			return false;
		if (!this.nonceDeleteTicket.equals(other.nonceDeleteTicket))
			return false;
		return true;
	}

	public void copy(ResReqTicketData from) {
		this.ticket.copy(from.ticket);
		this.transactionId.copy(from.transactionId);
		this.nonceDeleteTicket.copy(from.nonceDeleteTicket);
	}

}
