package generated.eTicket.javacard.eTicketCard;

/**
 * Generated Class
 * 
 */

public class StampTicketMsg implements PlainData, Codeable {

	public ID ticketId;

	public Secret pin;

	public Stamp stamp;

	public StampTicketMsg(ID ticketId, Secret pin, Stamp stamp) {

		this.ticketId = ticketId;
		this.pin = pin;
		this.stamp = stamp;

	}

	public StampTicketMsg() {

		ticketId = new ID();
		pin = new Secret();
		stamp = new Stamp();

	}

	public byte getCode() {
		return Code.STAMPTICKETMSG;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(StampTicketMsg other) {
		if (!this.ticketId.equals(other.ticketId))
			return false;
		if (!this.pin.equals(other.pin))
			return false;
		if (!this.stamp.equals(other.stamp))
			return false;
		return true;
	}

	public void copy(StampTicketMsg from) {
		this.ticketId.copy(from.ticketId);
		this.pin.copy(from.pin);
		this.stamp.copy(from.stamp);
	}

}
