package generated.eTicket.server.eTicketServer;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import java.util.ArrayList;
@XmlAccessorType(XmlAccessType.FIELD)
public class ListOfCardTicket implements Codeable, PlainData, SignData {

	private ArrayList<CardTicket> list;
	public ListOfCardTicket() {
		list = new ArrayList<CardTicket>();
	}

	public void add(CardTicket e) {
		CardTicket tmp = new CardTicket();
		tmp.copy(e);
		list.add(tmp);
	}

	public int size() {
		return list.size();
	}

	public boolean hasFree() {
		return true;
	}

	//**************************************************

	public boolean isEmpty() {
		return list.isEmpty();
	}

	public void clear() {
		list.clear();
	}

	public boolean contains(CardTicket e) {
		return list.contains(e);
	}

	public void remove(CardTicket e) {
		list.remove(e);
	}

	public void removeAll(CardTicket e) {
		int curr_index = list.indexOf(e);
		while (curr_index != -1) {
			list.remove(curr_index);
			curr_index = list.indexOf(e);
		}
	}

	public CardTicket at(int index) {
		return list.get(index);
	}

	public void copy(ListOfCardTicket from) {
		for (int i = 0; i < from.list.size(); i++) {
			this.list.add(i, new CardTicket());
			this.list.get(i).copy(from.list.get(i));
		}

	}

	public boolean equals(ListOfCardTicket o) {
		if (list.size() != o.list.size())
			return false;
		for (int i = 0; i < list.size(); i++)
			if (!list.get(i).equals(o.list.get(i)))
				return false;
		return true;
	}

	public byte getCode() {
		return Code.LISTOFCARDTICKET;
	}

	public short index() {
		return (short) list.size();
	}

	public CardTicket get(ID key) throws ServiceException {
		for (CardTicket item : list)
			if (item.getId().equals(key)) {
				CardTicket value = new CardTicket();
				value.copy(item);
				return value;
			}
		throw new ServiceException("List: key does not exist");
	}
	public void set(CardTicket value) {
		CardTicket item;
		try {
			item = get(value.getId());
			list.remove(item);
		} catch (ServiceException e) {
		}
		list.add(value);
	}
	public Boolean containsKey(ID key) {
		try {
			get(key);
			return true;
		} catch (ServiceException e) {
			return false;
		}
	}
	public CardTicket first() {
		return list.get(0);
	}

	public Boolean remove(ID key) {
		try {
			list.remove(get(key));
			return true;
		} catch (ServiceException e) {
			return false;
		}
	}

}
