package generated.eTicket.server.eTicketServer;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import java.util.ArrayList;
@XmlAccessorType(XmlAccessType.FIELD)
public class ListOfID implements Codeable, PlainData, SignData {

	private ArrayList<ID> list;
	public ListOfID() {
		list = new ArrayList<ID>();
	}

	public void add(ID e) {
		ID tmp = new ID();
		tmp.copy(e);
		list.add(tmp);
	}

	public int size() {
		return list.size();
	}

	public boolean hasFree() {
		return true;
	}

	//**************************************************

	public boolean isEmpty() {
		return list.isEmpty();
	}

	public void clear() {
		list.clear();
	}

	public boolean contains(ID e) {
		return list.contains(e);
	}

	public void remove(ID e) {
		list.remove(e);
	}

	public void removeAll(ID e) {
		int curr_index = list.indexOf(e);
		while (curr_index != -1) {
			list.remove(curr_index);
			curr_index = list.indexOf(e);
		}
	}

	public ID at(int index) {
		return list.get(index);
	}

	public void copy(ListOfID from) {
		for (int i = 0; i < from.list.size(); i++) {
			this.list.add(i, new ID());
			this.list.get(i).copy(from.list.get(i));
		}

	}

	public boolean equals(ListOfID o) {
		if (list.size() != o.list.size())
			return false;
		for (int i = 0; i < list.size(); i++)
			if (!list.get(i).equals(o.list.get(i)))
				return false;
		return true;
	}

	public byte getCode() {
		return Code.LISTOFID;
	}

	public short index() {
		return (short) list.size();
	}

}
