package generated.eTicket.server.eTicketServer;

/**
 * Generated Class
 * 
 */

public class Ticket implements PlainData, Codeable {

	private ID id;

	private TicketInfo ticketInfo;

	private Stamp stamp;

	public Ticket(ID id, TicketInfo ticketInfo, Stamp stamp) {

		this.id = id;
		this.ticketInfo = ticketInfo;
		this.stamp = stamp;

	}

	public Ticket() {

		id = new ID();
		ticketInfo = new TicketInfo();
		stamp = new Stamp();

	}

	public ID getId() {
		return id;
	}

	public TicketInfo getTicketInfo() {
		return ticketInfo;
	}

	public Stamp getStamp() {
		return stamp;
	}

	public void setId(ID id) {
		this.id = id;
		this.id.setId(id.getId());
	}
	public void setTicketInfo(TicketInfo ticketInfo) {
		this.ticketInfo = ticketInfo;
		this.ticketInfo.setDeparture(ticketInfo.getDeparture());
		this.ticketInfo.setDestination(ticketInfo.getDestination());
		this.ticketInfo.setTrainClass(ticketInfo.getTrainClass());
		this.ticketInfo.setExpiration(ticketInfo.getExpiration());
	}
	public void setStamp(Stamp stamp) {
		this.stamp = stamp;
		this.stamp.setStamped(stamp.getStamped());
		this.stamp.setStampTime(stamp.getStampTime());
	}

	public byte getCode() {
		return Code.TICKET;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(Ticket other) {
		if (!this.id.equals(other.id))
			return false;
		if (!this.ticketInfo.equals(other.ticketInfo))
			return false;
		if (!this.stamp.equals(other.stamp))
			return false;
		return true;
	}

	public void copy(Ticket from) {
		this.id.copy(from.id);
		this.ticketInfo.copy(from.ticketInfo);
		this.stamp.copy(from.stamp);
	}

	public Ticket copy() {
		Ticket object = new Ticket();
		object.copy(this);
		return object;
	}

}
