package generated.eTicket.server.eTicketServer;

/**
 * Generated Class
 * 
 */

public class TicketReceivedDataRecovery implements PlainData, Codeable {

	private ID cardId;

	private Nonce nonceDeleteTicket;

	public TicketReceivedDataRecovery(ID cardId, Nonce nonceDeleteTicket) {

		this.cardId = cardId;
		this.nonceDeleteTicket = nonceDeleteTicket;

	}

	public TicketReceivedDataRecovery() {

		cardId = new ID();
		nonceDeleteTicket = new Nonce();

	}

	public ID getCardId() {
		return cardId;
	}

	public Nonce getNonceDeleteTicket() {
		return nonceDeleteTicket;
	}

	public void setCardId(ID cardId) {
		this.cardId = cardId;
		this.cardId.setId(cardId.getId());
	}
	public void setNonceDeleteTicket(Nonce nonceDeleteTicket) {
		this.nonceDeleteTicket = nonceDeleteTicket;
		this.nonceDeleteTicket.setNonce(nonceDeleteTicket.getNonce());
	}

	public byte getCode() {
		return Code.TICKETRECEIVEDDATARECOVERY;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(TicketReceivedDataRecovery other) {
		if (!this.cardId.equals(other.cardId))
			return false;
		if (!this.nonceDeleteTicket.equals(other.nonceDeleteTicket))
			return false;
		return true;
	}

	public void copy(TicketReceivedDataRecovery from) {
		this.cardId.copy(from.cardId);
		this.nonceDeleteTicket.copy(from.nonceDeleteTicket);
	}

	public TicketReceivedDataRecovery copy() {
		TicketReceivedDataRecovery object = new TicketReceivedDataRecovery();
		object.copy(this);
		return object;
	}

}
