package generated.eTicket.terminal.inspectorDevice;

import javax.xml.bind.annotation.XmlRootElement;
@XmlRootElement
/**
 * Generated Class
 * 
 */
public class BuyTicket extends Message {

	private TicketInfo ticketInfo;

	private Secret pin;

	public BuyTicket(TicketInfo ticketInfo, Secret pin) {

		this.ticketInfo = ticketInfo;
		this.pin = pin;

	}

	public BuyTicket() {

		ticketInfo = new TicketInfo();
		pin = new Secret();

	}

	public TicketInfo getTicketInfo() {
		return ticketInfo;
	}

	public Secret getPin() {
		return pin;
	}

	public void setTicketInfo(TicketInfo ticketInfo) {
		this.ticketInfo = ticketInfo;
	}
	public void setPin(Secret pin) {
		this.pin = pin;
	}

	public byte getCode() {
		return Code.BUYTICKET;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(BuyTicket other) {
		if (!this.ticketInfo.equals(other.ticketInfo))
			return false;
		if (!this.pin.equals(other.pin))
			return false;
		return true;
	}

	public void copy(BuyTicket from) {
		this.ticketInfo.copy(from.ticketInfo);
		this.pin.copy(from.pin);
	}

	public BuyTicket copy() {
		BuyTicket object = new BuyTicket();
		object.copy(this);
		return object;
	}

}
