package generated.eTicket.terminal.inspectorDevice;

import de.uniaugsburg.swt.javacard.terminalinterface.SWTReaderException;

public interface Gate {

	/**
	 * Assertion function for gate constraints
	 */
	public void callConstraints();

	/**
	 * Sends an APDU originating from InspectorDevice. Write redirection code here.
	 * @param terminal InspectorDevice which requested the send action
	 * @param port port to send the message to
	 */
	public byte[] transmit(InspectorDevice terminal, byte[] apdu, int port)
			throws TerminalException, SWTReaderException;

	/**
	 * Called when the original protocol is finished
	 */
	public void finishProtocol(InspectorDevice terminal);
}
