package generated.eTicket.terminal.inspectorDevice;

/**
 * Generated Class
 * 
 */

public class SessionKeyMsg implements PlainData, Codeable {

	private Nonce nonceService;

	private SymmKey sessionKey;

	public SessionKeyMsg() {

		nonceService = new Nonce();
		sessionKey = new SymmKey();

	}

	public SessionKeyMsg(Nonce nonceService, SymmKey sessionKey) {

		this.nonceService = nonceService;
		this.sessionKey = sessionKey;

	}

	public Nonce getNonceService() {
		return nonceService;
	}

	public SymmKey getSessionKey() {
		return sessionKey;
	}

	public void setNonceService(Nonce nonceService) {
		this.nonceService = nonceService;
	}
	public void setSessionKey(SymmKey sessionKey) {
		this.sessionKey = sessionKey;
	}

	public byte getCode() {
		return Code.SESSIONKEYMSG;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(SessionKeyMsg other) {
		if (!this.nonceService.equals(other.nonceService))
			return false;
		if (!this.sessionKey.equals(other.sessionKey))
			return false;
		return true;
	}

	public void copy(SessionKeyMsg from) {
		this.nonceService.copy(from.nonceService);
		this.sessionKey.copy(from.sessionKey);
	}

	public SessionKeyMsg copy() {
		SessionKeyMsg object = new SessionKeyMsg();
		object.copy(this);
		return object;
	}

}
