package generated.eTicket.terminal.userDevice;

/**
 * Generated Class
 * 
 */

public class CCInfo implements Codeable {

	private String CCHolderName;

	private String CCSecNumber;

	private String CCNumber;

	private String CCType;

	private String CCExpDate;

	public CCInfo() {

		CCHolderName = new String();
		CCSecNumber = new String();
		CCNumber = new String();
		CCType = new String();
		CCExpDate = new String();

	}

	public CCInfo(String CCHolderName, String CCSecNumber, String CCNumber,
			String CCType, String CCExpDate) {

		this.CCHolderName = CCHolderName;
		this.CCSecNumber = CCSecNumber;
		this.CCNumber = CCNumber;
		this.CCType = CCType;
		this.CCExpDate = CCExpDate;

	}

	public CCInfo(byte[] CCHolderName, byte[] CCSecNumber, byte[] CCNumber,
			byte[] CCType, byte[] CCExpDate) {
		this.CCHolderName = Coding.getInstance().byteToString(CCHolderName);
		this.CCSecNumber = Coding.getInstance().byteToString(CCSecNumber);
		this.CCNumber = Coding.getInstance().byteToString(CCNumber);
		this.CCType = Coding.getInstance().byteToString(CCType);
		this.CCExpDate = Coding.getInstance().byteToString(CCExpDate);

	}

	public String getCCHolderName() {
		return CCHolderName;
	}

	public String getCCSecNumber() {
		return CCSecNumber;
	}

	public String getCCNumber() {
		return CCNumber;
	}

	public String getCCType() {
		return CCType;
	}

	public String getCCExpDate() {
		return CCExpDate;
	}

	public void setCCHolderName(String CCHolderName) {

		if (!Coding.getInstance().isValidCardString(CCHolderName))
			System.err.println("Encoded string " + CCHolderName
					+ " is longer than " + LengthConstants.LENGTHOFSTRING
					+ " bytes.");
		this.CCHolderName = CCHolderName;
	}
	public void setCCHolderName(byte[] CCHolderName) {
		setCCHolderName(Coding.getInstance().byteToString(CCHolderName));
	}

	public void setCCSecNumber(String CCSecNumber) {

		if (!Coding.getInstance().isValidCardString(CCSecNumber))
			System.err.println("Encoded string " + CCSecNumber
					+ " is longer than " + LengthConstants.LENGTHOFSTRING
					+ " bytes.");
		this.CCSecNumber = CCSecNumber;
	}
	public void setCCSecNumber(byte[] CCSecNumber) {
		setCCSecNumber(Coding.getInstance().byteToString(CCSecNumber));
	}

	public void setCCNumber(String CCNumber) {

		if (!Coding.getInstance().isValidCardString(CCNumber))
			System.err.println("Encoded string " + CCNumber
					+ " is longer than " + LengthConstants.LENGTHOFSTRING
					+ " bytes.");
		this.CCNumber = CCNumber;
	}
	public void setCCNumber(byte[] CCNumber) {
		setCCNumber(Coding.getInstance().byteToString(CCNumber));
	}

	public void setCCType(String CCType) {

		if (!Coding.getInstance().isValidCardString(CCType))
			System.err.println("Encoded string " + CCType + " is longer than "
					+ LengthConstants.LENGTHOFSTRING + " bytes.");
		this.CCType = CCType;
	}
	public void setCCType(byte[] CCType) {
		setCCType(Coding.getInstance().byteToString(CCType));
	}

	public void setCCExpDate(String CCExpDate) {

		if (!Coding.getInstance().isValidCardString(CCExpDate))
			System.err.println("Encoded string " + CCExpDate
					+ " is longer than " + LengthConstants.LENGTHOFSTRING
					+ " bytes.");
		this.CCExpDate = CCExpDate;
	}
	public void setCCExpDate(byte[] CCExpDate) {
		setCCExpDate(Coding.getInstance().byteToString(CCExpDate));
	}

	public byte getCode() {
		return Code.CCINFO;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(CCInfo other) {
		if (!this.CCHolderName.equals(other.CCHolderName))
			return false;
		if (!this.CCSecNumber.equals(other.CCSecNumber))
			return false;
		if (!this.CCNumber.equals(other.CCNumber))
			return false;
		if (!this.CCType.equals(other.CCType))
			return false;
		if (!this.CCExpDate.equals(other.CCExpDate))
			return false;
		return true;
	}

	public void copy(CCInfo from) {
		this.CCHolderName = from.CCHolderName;
		this.CCSecNumber = from.CCSecNumber;
		this.CCNumber = from.CCNumber;
		this.CCType = from.CCType;
		this.CCExpDate = from.CCExpDate;
	}

	public CCInfo copy() {
		CCInfo object = new CCInfo();
		object.copy(this);
		return object;
	}

}
