package generated.eTicket.terminal.userDevice;

/**
 * Generated Class
 * 
 */

public class RecoveryInfo implements PlainData, Codeable {

	private ID cardId;

	private Nonce transactionId;

	public RecoveryInfo(ID cardId, Nonce transactionId) {

		this.cardId = cardId;
		this.transactionId = transactionId;

	}

	public RecoveryInfo() {

		cardId = new ID();
		transactionId = new Nonce();

	}

	public ID getCardId() {
		return cardId;
	}

	public Nonce getTransactionId() {
		return transactionId;
	}

	public void setCardId(ID cardId) {
		this.cardId = cardId;
	}
	public void setTransactionId(Nonce transactionId) {
		this.transactionId = transactionId;
	}

	public byte getCode() {
		return Code.RECOVERYINFO;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(RecoveryInfo other) {
		if (!this.cardId.equals(other.cardId))
			return false;
		if (!this.transactionId.equals(other.transactionId))
			return false;
		return true;
	}

	public void copy(RecoveryInfo from) {
		this.cardId.copy(from.cardId);
		this.transactionId.copy(from.transactionId);
	}

	public RecoveryInfo copy() {
		RecoveryInfo object = new RecoveryInfo();
		object.copy(this);
		return object;
	}

}
