package generated.eTicket.terminal.userDevice;

/**
 * Generated Class
 * 
 */

public class ServerHelloMsg implements PlainData, Codeable {

	private Nonce nonceService;

	private Nonce nonceCard;

	public ServerHelloMsg() {

		nonceService = new Nonce();
		nonceCard = new Nonce();

	}

	public ServerHelloMsg(Nonce nonceService, Nonce nonceCard) {

		this.nonceService = nonceService;
		this.nonceCard = nonceCard;

	}

	public Nonce getNonceService() {
		return nonceService;
	}

	public Nonce getNonceCard() {
		return nonceCard;
	}

	public void setNonceService(Nonce nonceService) {
		this.nonceService = nonceService;
	}
	public void setNonceCard(Nonce nonceCard) {
		this.nonceCard = nonceCard;
	}

	public byte getCode() {
		return Code.SERVERHELLOMSG;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(ServerHelloMsg other) {
		if (!this.nonceService.equals(other.nonceService))
			return false;
		if (!this.nonceCard.equals(other.nonceCard))
			return false;
		return true;
	}

	public void copy(ServerHelloMsg from) {
		this.nonceService.copy(from.nonceService);
		this.nonceCard.copy(from.nonceCard);
	}

	public ServerHelloMsg copy() {
		ServerHelloMsg object = new ServerHelloMsg();
		object.copy(this);
		return object;
	}

}
