package generated.eTicket.terminal.userDevice;

/**
 * Generated Class
 * 
 */

public class StampTicketMsg implements PlainData, Codeable {

	private ID ticketId;

	private Secret pin;

	private Stamp stamp;

	public StampTicketMsg(ID ticketId, Secret pin, Stamp stamp) {

		this.ticketId = ticketId;
		this.pin = pin;
		this.stamp = stamp;

	}

	public StampTicketMsg() {

		ticketId = new ID();
		pin = new Secret();
		stamp = new Stamp();

	}

	public ID getTicketId() {
		return ticketId;
	}

	public Secret getPin() {
		return pin;
	}

	public Stamp getStamp() {
		return stamp;
	}

	public void setTicketId(ID ticketId) {
		this.ticketId = ticketId;
	}
	public void setPin(Secret pin) {
		this.pin = pin;
	}
	public void setStamp(Stamp stamp) {
		this.stamp = stamp;
	}

	public byte getCode() {
		return Code.STAMPTICKETMSG;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(StampTicketMsg other) {
		if (!this.ticketId.equals(other.ticketId))
			return false;
		if (!this.pin.equals(other.pin))
			return false;
		if (!this.stamp.equals(other.stamp))
			return false;
		return true;
	}

	public void copy(StampTicketMsg from) {
		this.ticketId.copy(from.ticketId);
		this.pin.copy(from.pin);
		this.stamp.copy(from.stamp);
	}

	public StampTicketMsg copy() {
		StampTicketMsg object = new StampTicketMsg();
		object.copy(this);
		return object;
	}

}
