package generated.eTicket.javacard.eTicketCard;

/**
 * Generated Class
 * 
 */

public class BuyInfo implements PlainData, Codeable {

	public CCInfo ccInfo;

	public TicketInfo ticketInfo;

	public ID cardID;

	public Nonce transactionId;

	public BuyInfo(CCInfo ccInfo, TicketInfo ticketInfo, ID cardID,
			Nonce transactionId) {

		this.ccInfo = ccInfo;
		this.ticketInfo = ticketInfo;
		this.cardID = cardID;
		this.transactionId = transactionId;

	}

	public BuyInfo() {

		ccInfo = new CCInfo();
		ticketInfo = new TicketInfo();
		cardID = new ID();
		transactionId = new Nonce();

	}

	public byte getCode() {
		return Code.BUYINFO;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(BuyInfo other) {
		if (!this.ccInfo.equals(other.ccInfo))
			return false;
		if (!this.ticketInfo.equals(other.ticketInfo))
			return false;
		if (!this.cardID.equals(other.cardID))
			return false;
		if (!this.transactionId.equals(other.transactionId))
			return false;
		return true;
	}

	public void copy(BuyInfo from) {
		this.ccInfo.copy(from.ccInfo);
		this.ticketInfo.copy(from.ticketInfo);
		this.cardID.copy(from.cardID);
		this.transactionId.copy(from.transactionId);
	}

}
