package generated.eTicket.javacard.eTicketCard;

/**
 * Generated Class
 * 
 */

public class Ticket implements PlainData, Codeable {

	public ID id;

	public TicketInfo ticketInfo;

	public Stamp stamp;

	public Ticket(ID id, TicketInfo ticketInfo, Stamp stamp) {

		this.id = id;
		this.ticketInfo = ticketInfo;
		this.stamp = stamp;

	}

	public Ticket() {

		id = new ID();
		ticketInfo = new TicketInfo();
		stamp = new Stamp();

	}

	public byte getCode() {
		return Code.TICKET;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(Ticket other) {
		if (!this.id.equals(other.id))
			return false;
		if (!this.ticketInfo.equals(other.ticketInfo))
			return false;
		if (!this.stamp.equals(other.stamp))
			return false;
		return true;
	}

	public void copy(Ticket from) {
		this.id.copy(from.id);
		this.ticketInfo.copy(from.ticketInfo);
		this.stamp.copy(from.stamp);
	}

}
