package generated.eTicket.javacard.eTicketCard;

import javacard.framework.*;

/**
 * Generated Class
 * 
 */

public class TicketInfo implements Codeable {

	public byte[] departure;

	public byte[] destination;

	public short trainClass;

	public byte[] expiration;

	public TicketInfo() {

		departure = new byte[Store.LENGTHOFSTRING];
		destination = new byte[Store.LENGTHOFSTRING];
		trainClass = 0;
		expiration = new byte[Store.LENGTHOFSTRING];

	}

	public TicketInfo(byte[] departure, byte[] destination, short trainClass,
			byte[] expiration) {

		this.departure = departure;
		this.destination = destination;
		this.trainClass = trainClass;
		this.expiration = expiration;

	}

	public byte getCode() {
		return Code.TICKETINFO;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(TicketInfo other) {
		if (!Arrays.equals(departure, other.departure))
			return false;
		if (!Arrays.equals(destination, other.destination))
			return false;
		if (this.trainClass != other.trainClass)
			return false;
		if (!Arrays.equals(expiration, other.expiration))
			return false;
		return true;
	}

	public void copy(TicketInfo from) {

		Arrays.copy(from.departure, this.departure);

		Arrays.copy(from.destination, this.destination);

		this.trainClass = from.trainClass;

		Arrays.copy(from.expiration, this.expiration);

	}

}
