package generated.eTicket.server.eTicketServer;

/**
 * Generated Class
 * 
 */

public class CardTicket implements Codeable {

	private ID id;

	private Ticket ticket;

	public CardTicket(ID id, Ticket ticket) {

		this.id = id;
		this.ticket = ticket;

	}

	public CardTicket() {

		id = new ID();
		ticket = new Ticket();

	}

	public ID getId() {
		return id;
	}

	public Ticket getTicket() {
		return ticket;
	}

	public void setId(ID id) {
		this.id = id;
		this.id.setId(id.getId());
	}
	public void setTicket(Ticket ticket) {
		this.ticket = ticket;
		this.ticket.setId(ticket.getId());
		this.ticket.setTicketInfo(ticket.getTicketInfo());
		this.ticket.setStamp(ticket.getStamp());
	}

	public byte getCode() {
		return Code.CARDTICKET;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(CardTicket other) {
		if (!this.id.equals(other.id))
			return false;
		if (!this.ticket.equals(other.ticket))
			return false;
		return true;
	}

	public void copy(CardTicket from) {
		this.id.copy(from.id);
		this.ticket.copy(from.ticket);
	}

	public CardTicket copy() {
		CardTicket object = new CardTicket();
		object.copy(this);
		return object;
	}

}
