package generated.eTicket.server.eTicketServer;

import javax.xml.bind.annotation.XmlRootElement;
@XmlRootElement
/**
 * Generated Class
 * 
 */
public class ClientHello extends Message implements Codeable {

	private PublicKey publicKeyCard;

	private SignedData certCard;

	private EncDataAsymm msg;

	public ClientHello(EncDataAsymm msg, SignedData certCard,
			PublicKey publicKeyCard) {

		this.msg = msg;
		this.certCard = certCard;
		this.publicKeyCard = publicKeyCard;

	}

	public ClientHello() {

		publicKeyCard = new PublicKey();
		certCard = new SignedData();
		msg = new EncDataAsymm();

	}

	public PublicKey getPublicKeyCard() {
		return publicKeyCard;
	}

	public SignedData getCertCard() {
		return certCard;
	}

	public EncDataAsymm getMsg() {
		return msg;
	}

	public void setPublicKeyCard(PublicKey publicKeyCard) {
		this.publicKeyCard = publicKeyCard;
	}
	public void setCertCard(SignedData certCard) {
		this.certCard = certCard;
		this.certCard.setSigned(certCard.getSigned());
	}
	public void setMsg(EncDataAsymm msg) {
		this.msg = msg;
	}

	public byte getCode() {
		return Code.CLIENTHELLO;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(ClientHello other) {
		if (!this.publicKeyCard.equals(other.publicKeyCard))
			return false;
		if (!this.certCard.equals(other.certCard))
			return false;
		if (!this.msg.equals(other.msg))
			return false;
		return true;
	}

	public void copy(ClientHello from) {
		this.publicKeyCard.copy(from.publicKeyCard);
		this.certCard.copy(from.certCard);
		this.msg.copy(from.msg);
	}

	public ClientHello copy() {
		ClientHello object = new ClientHello();
		object.copy(this);
		return object;
	}

}
