package generated.eTicket.server.eTicketServer;

/**
 * Generated Class
 * 
 */

public class ClientHelloMsg implements PlainData, Codeable {

	private Nonce nonceCard;

	public ClientHelloMsg() {

		nonceCard = new Nonce();

	}

	public ClientHelloMsg(Nonce nonceCard) {

		this.nonceCard = nonceCard;

	}

	public Nonce getNonceCard() {
		return nonceCard;
	}

	public void setNonceCard(Nonce nonceCard) {
		this.nonceCard = nonceCard;
		this.nonceCard.setNonce(nonceCard.getNonce());
	}

	public byte getCode() {
		return Code.CLIENTHELLOMSG;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(ClientHelloMsg other) {
		if (!this.nonceCard.equals(other.nonceCard))
			return false;
		return true;
	}

	public void copy(ClientHelloMsg from) {
		this.nonceCard.copy(from.nonceCard);
	}

	public ClientHelloMsg copy() {
		ClientHelloMsg object = new ClientHelloMsg();
		object.copy(this);
		return object;
	}

}
