package generated.eTicket.terminal.inspectorDevice;

/**
 * Generated Class
 * 
 */

public class Certificate implements SignData, Codeable {

	private PublicKey publicKey;

	public Certificate() {

		publicKey = new PublicKey();

	}

	public Certificate(PublicKey publicKey) {

		this.publicKey = publicKey;

	}

	public PublicKey getPublicKey() {
		return publicKey;
	}

	public void setPublicKey(PublicKey publicKey) {
		this.publicKey = publicKey;
	}

	public byte getCode() {
		return Code.CERTIFICATE;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(Certificate other) {
		if (!this.publicKey.equals(other.publicKey))
			return false;
		return true;
	}

	public void copy(Certificate from) {
		this.publicKey.copy(from.publicKey);
	}

	public Certificate copy() {
		Certificate object = new Certificate();
		object.copy(this);
		return object;
	}

}
