package generated.eTicket.terminal.inspectorDevice;

/**
 * Generated Class
 * 
 */

public class DateTime implements Codeable {

	private String dateTime;

	public DateTime() {

		dateTime = new String();

	}

	public DateTime(String dateTime) {

		this.dateTime = dateTime;

	}

	public DateTime(byte[] dateTime) {
		this.dateTime = Coding.getInstance().byteToString(dateTime);

	}

	public String getDateTime() {
		return dateTime;
	}

	public void setDateTime(String dateTime) {

		if (!Coding.getInstance().isValidCardString(dateTime))
			System.err.println("Encoded string " + dateTime
					+ " is longer than " + LengthConstants.LENGTHOFSTRING
					+ " bytes.");
		this.dateTime = dateTime;
	}
	public void setDateTime(byte[] dateTime) {
		setDateTime(Coding.getInstance().byteToString(dateTime));
	}

	public byte getCode() {
		return Code.DATETIME;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(DateTime other) {
		if (!this.dateTime.equals(other.dateTime))
			return false;
		return true;
	}

	public void copy(DateTime from) {
		this.dateTime = from.dateTime;
	}

	public DateTime copy() {
		DateTime object = new DateTime();
		object.copy(this);
		return object;
	}

}
