package generated.eTicket.terminal.userDevice;

import de.uniaugsburg.swt.javacard.terminalinterface.SWTReaderException;

public interface Gate {

	/**
	 * Assertion function for gate constraints
	 */
	public void callConstraints();

	/**
	 * Sends an APDU originating from UserDevice. Write redirection code here.
	 * @param terminal UserDevice which requested the send action
	 * @param port port to send the message to
	 */
	public byte[] transmit(UserDevice terminal, byte[] apdu, int port)
			throws TerminalException, SWTReaderException;

	/**
	 * Called when the original protocol is finished
	 */
	public void finishProtocol(UserDevice terminal);
}
