package generated.eTicket.terminal.userDevice;

/**
 * Generated Class
 * 
 */

public class Stamp implements Codeable {

	private boolean stamped;

	private DateTime stampTime;

	public Stamp() {

		stamped = false;
		stampTime = new DateTime();

	}

	public Stamp(boolean stamped, DateTime stampTime) {

		this.stamped = stamped;
		this.stampTime = stampTime;

	}

	public DateTime getStampTime() {
		return stampTime;
	}

	public boolean getStamped() {
		return stamped;
	}

	public void setStampTime(DateTime stampTime) {
		this.stampTime = stampTime;
	}
	public void setStamped(boolean stamped) {
		this.stamped = stamped;
	}

	public byte getCode() {
		return Code.STAMP;
	}

	/**
	 * This method deeply checks equality of classes.
	 *
	 * @param other Class to compare with
	 * @return true, if values of all attributes are equal
	 */

	public boolean equals(Stamp other) {
		if (!this.stampTime.equals(other.stampTime))
			return false;
		if (this.stamped != other.stamped)
			return false;
		return true;
	}

	public void copy(Stamp from) {
		this.stampTime.copy(from.stampTime);
		this.stamped = from.stamped;
	}

	public Stamp copy() {
		Stamp object = new Stamp();
		object.copy(this);
		return object;
	}

}
